GTPin: gtpin::IargSimdMask Struct Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IargSimdMask Struct Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

HLI argument that represents mask of effective SIMD channels at the instrumentation point. More...

`#include <gt_iarg_defs.h>`

## Public Member Functions
| IargSimdMask (bool ignoreCeMask, uint32_t execMask, const GtPredicate &predicate=GtPredicate())
| Construct HLI argument that evaluates the mask of effective SIMD channels at the instrumentation point ceMask = ignoreCeMask ? 0xffffffff : ChannelEnableReg() simdMask = ceMask & DispatchMaskReg() & execMask & Mask(predicate)
template<typename PRMT >
const IGtIarg & | Make (IGtIargFactory &factory) const
| Create IGtIarg object that assigns this argument value to the formal parameter of type PRMT.

## Detailed Description

HLI argument that represents mask of effective SIMD channels at the instrumentation point.

## Constructor & Destructor Documentation

gtpin::IargSimdMask::IargSimdMask | ( | bool | ignoreCeMask,
|  | uint32_t | execMask,
|  | const GtPredicate & | predicate = `GtPredicate()`
| ) |  | `[inline]`

Construct HLI argument that evaluates the mask of effective SIMD channels at the instrumentation point ceMask = ignoreCeMask ? 0xffffffff : ChannelEnableReg() simdMask = ceMask & DispatchMaskReg() & execMask & Mask(predicate)

Parameters:

  [in] | ignoreCeMask | Flag that indicates whether the mask in ChannelEnableReg should be applied (false) or ignored (true) in the computation of effective SIMD channels
  [in] | execMask | Execution mask to be used in the computation of effective SIMD channels. Normally, this mask is produced by the GtExecMask::Bits() function.
  [in] | predicate | Predicate to be used in the computation. Invalid predicate is ignored

## Member Function Documentation

template<typename PRMT >

const IGtIarg& gtpin::IargSimdMask::Make | ( | IGtIargFactory & | factory | ) | const`[inline]`

Create IGtIarg object that assigns this argument value to the formal parameter of type PRMT.

Note:
  The array of GRF registers is passed by pointer

Parameters:

  PRMT | Type of the formal parameter of the function

Returns:
  New IGtIarg object of type GtIargType::SIMD_MASK

Precondition:
  PRMT is a pointer type

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT